Name: xkeyboard-config
Summary: XML-based XKB configuration registry
Version: 1.0
Release: alt2
License: X11/MIT
Group: System/X11

Url: http://gswitchit.sourceforge.net/

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2

Patch1: xkeyboard-config-0.8-alt-ISO_Next_Group.patch
Patch2: xkeyboard-config-0.8-alt-caps_toggle-led.patch
Patch3: xkeyboard-config-0.9-alt-btc9116u.patch
Patch4: xkeyboard-config-0.9-alt-symbols-Chuvash.patch

Provides: xorg-x11-xkbdata xkbdata
Obsoletes: xorg-x11-xkbdata <= 1.0.1-alt4

BuildArch: noarch
BuildRequires: intltool perl-XML-Parser xkbcomp

%description
Just XML stuff. Later hopefully will be part of Xorg

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

grep -rl _vndr * | xargs %__subst "s,_vndr,,g"
for f in `find -name \*_vndr`; do
	mv $f ${f/_vndr/}
done

%build
intltoolize
%__autoreconf
%configure \
	--with-xkb-base=%_datadir/X11/xkb \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--disable-xkbcomp-symlink
%make 

%install
%make DESTDIR=%buildroot install 

%__subst 's,XF86AudioEject,XF86Eject,' %buildroot%_datadir/X11/xkb/symbols/inet

%__rm -f %buildroot%_datadir/X11/xkb/compiled

%pre
[ ! -d %_datadir/X11/xkb/symbols/pc ] || %__rm -fr %_datadir/X11/xkb/symbols/pc

%files
%doc AUTHORS CREDITS NEWS README COPYING docs/README.config docs/README.enhancing docs/README.symbols docs/HOWTO.transition docs/HOWTO.testing
%_datadir/X11/xkb

%changelog
* Sat Jul 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt2
- updated/new translations

* Fri Jun 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt1
- 1.0

* Fri Jun 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt8
- CVS snapshot 2007-06-18:
- fixed symbols in chuvash keyboard layout

* Fri Jun 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt7
- CVS snapshot 2007-06-13:
  + chuvash and udmurt keyboard layout

* Tue Jun 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt6
- CVS snapshot 2007-05-26

* Thu May 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt5
- CVS snapshot 2007-05-14

* Sun Feb 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt4
- CVS snapshot 2007-02-03:
  + added (model, layout->geometry) section for thinkpad

* Sat Jan 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt3
- CVS snapshot 2007-01-27
- closed #10720

* Wed Dec 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt2
- CVS snapshot 2006-11-20
- added support BTC 9116U Mini Wireless Internet and Gaming keyboard

* Mon Oct 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt1
- 0.9

* Mon Oct 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt7
- CVS snaphot 2006-10-01

* Thu May 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt6
- added support BTC 9019U

* Sun May 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt5
- CVS snapshot 2006-05-05

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt4
- CVS snapshot 2006-04-20
- Obsoletes xorg-x11-xkbdata

* Mon Apr 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt3
- added support Genius KB-19e NB

* Sun Mar 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt2
- CVS snapshot 2006-03-25

* Mon Mar 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- initial release

